# Offers

## Get offers

<mark style="color:blue;">`GET`</mark> `https://api.sparkloop.app/v2/offers`

Offers are ordered descendingly by *created\_at*, meaning the first page shows the latest offer.

{% tabs %}
{% tab title="200 Used query params ?page=1\&per\_page=2" %}

```json
{
   "offers": [
      <Offer Object>,
      <Offer Object>
  ],
  "meta": {
    "per_page": 2,
    "page": 1,
    "total_pages": 12,
    "total_offers": 24
  }
}
```

{% endtab %}
{% endtabs %}

## Get an offer

<mark style="color:blue;">`GET`</mark> `https://api.sparkloop.app/v2/offers/:identifier`

Returns a single offer by UUID

#### Path Parameters

| Name                                         | Type   | Description  |
| -------------------------------------------- | ------ | ------------ |
| identifier<mark style="color:red;">\*</mark> | string | Offer's UUID |

{% tabs %}
{% tab title="200 " %}

```json
{
     "offer": <Offer Object>,
}
```

{% endtab %}

{% tab title="404 " %}
{% tabs %}
{% tab title="Offer not found" %}

```
{
    "error": "Offer offer_4bc10562d97 not found."
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sparkloop.app/api-v2/endpoints/offers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
